---
- hosts: all
  become: yes
  vars_files:
    - vars/vars-deb.yml
  tasks:
    - name: Сheckbox Agent RRO | Install deb package
      apt:
        deb: '{{ checkbox_packages.deb }}'

    - name: Сheckbox Agent RRO | Create a directory for config if it does not exist
      ansible.builtin.file:
        path: "{{ agentrro.conf }}"
        state: directory
        mode: '0755'


    - name: Сheckbox Agent RRO | copy default config
      ansible.builtin.template:
        src: config.json.j2
        dest: "{{ agentrro.conf }}/config.json"

    - name: Сheckbox Agent RRO | Setup systemd service
      ansible.builtin.template:
        src: checkbox_kasa.service.j2
        dest: "/usr/lib/systemd/system/checkbox_kasa.service"

    - name: reload systemd
      ansible.builtin.systemd:
        daemon_reload: yes

    - name: Сheckbox Agent RRO | flush systemd handlers
      meta: flush_handlers

    - name: Сheckbox Agent RRO | enable and start server systemd
      become: yes
      ansible.builtin.systemd:
        enabled: yes
        name: checkbox_kasa.service
        state: restarted
        daemon_reload: yes
